Bug Hunting Session
Bug 116986 - FIREBIRD : Migration : Abort with std:bad alloc error when attempting to open form in migrated hsqldb
Summary: FIREBIRD : Migration : Abort with std:bad alloc error when attempting to open...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, haveBacktrace
Depends on:
Blocks: Database-Firebird-Migration
  Show dependency treegraph
 
Reported: 2018-04-13 08:52 UTC by Alex Thurgood
Modified: 2018-05-03 14:07 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test ODB file for import (16.46 KB, application/vnd.oasis.opendocument.database)
2018-04-13 08:54 UTC, Alex Thurgood
Details
gdb backtrace (53.31 KB, text/plain)
2018-04-13 10:35 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Thurgood 2018-04-13 08:52:21 UTC
Description:
1) Load the enclosed (hsqldb) ODB in master.
2) Double-click on the form Konto
3) LO crashes with the following error

std::bad_alloc



Steps to Reproduce:
See above

Actual Results:  
LibreOffice crashes

Expected Results:
LibreOffice shouldn't crash and form should be displayed


Reproducible: Always


User Profile Reset: No



Additional Info:
This is probably a consequence of, or linked to, incorrect import of the macros which are present in the original file.


User-Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.13; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 Alex Thurgood 2018-04-13 08:53:13 UTC
Tested with 

Version: 6.1.0.0.alpha0+
Build ID: d5ed07d2a249e61937dd42a4b2efb7e7fbef02d6
CPU threads: 4; OS: Mac OS X 10.13.4; UI render: default; 
Locale: fr-FR (fr_FR.UTF-8); Calc: group
Comment 2 Alex Thurgood 2018-04-13 08:54:24 UTC
Created attachment 141326 [details]
Test ODB file for import
Comment 3 Alex Thurgood 2018-04-13 08:57:36 UTC
Irrespective of the choice of mode (Tables, Queries, Forms, Reports), the LibreOffice process aborts systematically.
Comment 4 Alex Thurgood 2018-04-13 08:58:41 UTC
I can't seem to get a backtrace on this from lldb as the whole soffice process shuts down before I can call one.
Comment 5 Xisco Faulí 2018-04-13 09:07:04 UTC
Confirmed in

Version: 6.1.0.0.alpha0+
Build ID: 24a57e2b854a1b8b3b8533ac72a6614ee29e374a
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 6 Xisco Faulí 2018-04-13 09:11:43 UTC
Regression introduced by:

author	Tamas Bunth <tamas.bunth@collabora.co.uk>	2018-03-25 13:26:57 +0200
committer	Tamás Bunth <btomi96@gmail.com>	2018-04-07 17:08:26 +0200
commit	159dd28651788a19848eae56693ad06ed947414d (patch)
tree	b69013db1c0fa45677b59d58999ce0d8ebebd76c
parent	1a9bfdd8976d28fa3a56726bdcae9f2b294d6c6d (diff)
dbaccess: Enable hsql migration by default
Also make Firebird driver not experimental anymore.

Bisected with: bibisect-linux64-6.1

Adding Cc: to Tamas Bunth
Comment 7 Xisco Faulí 2018-04-13 10:35:04 UTC
Created attachment 141330 [details]
gdb backtrace
Comment 8 Commit Notification 2018-05-02 17:03:49 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04e564b8179cdfafc0f33233daae126e39f46e47

tdf#116980 tdf#116986 Fix data migration in..

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Xisco Faulí 2018-05-03 14:07:21 UTC
When I try to open the Form I get an error, but it no longer crashes...

Verified in

Version: 6.1.0.0.alpha1+
Build ID: f1579d3d6c5f5f3a651825e035b93bee7a4f43c6
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group